Can I use Windows 8 or Windows 10?

Spooky2 software will run on all recent versions of Windows. The UDB drivers don’t work with Windows 8 or 10. Either use Windows 7/XP or upgrade your generator(s) to Spooky2-XM models. To make Windows 8 and 10 behave and appear more like Windows 7, download and install the Free Classic Shell program from this link: http://www.spooky2.com/downloadsPage/index.html

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.